import { createRouter, createWebHashHistory } from 'vue-router'
import Home from '../views/Home/Home.vue'

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/about',
    name: 'About',
    component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
  },
  {
    path: '/status',
    name: 'Status',
    component: () => import(/* webpackChunkName: "status" */ '../views/Status/Status.vue')
  },
  {
    path: '/agc',
    name: 'Agc',
    component: () => import(/* webpackChunkName: "agc" */ '../views/Agc/Agc.vue')
  },
  {
    path: '/windsite',
    name: 'WindSite',
    component: () => import(/* webpackChunkName: "windsite" */ '../views/WindSite/WindSite.vue'),
    children: [{
      path: 'home',
      component: () => import(/* webpackChunkName: "windsitehome" */ '../views/WindSite/pages/Home/Home.vue')
    }, {
      path: 'draughtfanlist',
      component: () => import(/* webpackChunkName: "windsitedraughtfanlist" */ '../views/WindSite/pages/DraughtFanList.vue')
    }, {
      path: 'matrix',
      component: () => import(/* webpackChunkName: "windsitematrix" */ '../views/WindSite/pages/Matrix.vue')
    }, {
      path: 'lightmatrix',
      component: () => import(/* webpackChunkName: "windsitelightmatrix" */ '../views/WindSite/pages/LightMatrix.vue')
    }, {
      path: 'box',
      component: () => import(/* webpackChunkName: "windsitebox" */ '../views/WindSite/pages/Box.vue')
    }, {
      path: 'Info',
      component: () => import(/* webpackChunkName: "windsitebox" */ '../views/WindSite/pages/Info/Info.vue')
    },{
        path: 'tower',
        component: () => import(/* webpackChunkName: "windsitetower" */ '../views/WindSite/pages/Tower.vue')
    }]
  },
  {
    path: '/lightmatrix',
    name: 'LightMatrix',
    component: () => import(/* webpackChunkName: "lightmatrix" */ '../views/LightMatrix/LightMatrix.vue')
  },
  {
    path: '/lightmatrix1',
    name: 'LightMatrix1',
    component: () => import(/* webpackChunkName: "lightmatrix1" */ '../views/LightMatrix1/LightMatrix1.vue')
  },
  {
    path: '/lightmatrix2',
    name: 'LightMatrix2',
    component: () => import(/* webpackChunkName: "lightmatrix2" */ '../views/LightMatrix2/LightMatrix2.vue')
  }, {
    path: '/lightmatrix3',
    name: 'LightMatrix3',
    component: () => import(/* webpackChunkName: "lightmatrix3" */ '../views/LightMatrix3/LightMatrix3.vue')
  },
]

const router = createRouter({
  history: createWebHashHistory(),
  base: '/zhfx/',
  routes
})

export default router
